Opened 3 weeks ago

Closed 2 weeks ago

#12157 closed defect (fixed)

Heroine's Quest Crash

Reported by: RetroJaro Owned by: dreammaster
Priority: normal Component: Engine: AGS
Version: Keywords:
Cc: Game:

Description

[2021-02-15 01:31:27] ScummVM 2.3.0git12711-g68adead085 (Feb 15 2021 05:31:05)
[2021-02-15 01:31:27] TAINTED Vorbis FLAC MP3 RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 JPEG PNG cloud (servers, local) TinyGL OpenGL (with shaders) GLEW
[2021-02-15 01:31:27] --- Log opened.
[2021-02-15 01:31:27] Using game controller: XInput Controller
[2021-02-15 01:31:28] Using game controller: XInput Controller
[2021-02-15 01:31:39] Initializing allegro
[2021-02-15 01:31:39] Initializing game data
[2021-02-15 01:31:39] WARNING: TODO: SetCurrentDirectory: ./!
[2021-02-15 01:31:39] Opened game data file: game28.dta
[2021-02-15 01:31:39] Game data version: 43
[2021-02-15 01:31:39] Compiled with: 3.3.0.1162
[2021-02-15 01:31:39] Setting up game configuration
[2021-02-15 01:31:39] Data directory: ./
[2021-02-15 01:31:39] Voice pack found and initialized.
[2021-02-15 01:31:39] audio.vox found and initialized.
[2021-02-15 01:31:39] Setting up window
[2021-02-15 01:31:39] Initializing TTF renderer
[2021-02-15 01:31:39] Initializing keyboard
[2021-02-15 01:31:39] Initializing mouse: number of buttons reported is 0
[2021-02-15 01:31:39] Install timer
[2021-02-15 01:31:39] Install exit handler
[2021-02-15 01:31:39] Initialize legacy path finder library
[2021-02-15 01:31:39] Game GUI version: 116
[2021-02-15 01:31:39] Plugin 'agsteam' loaded as 'agsteam', resolving imports...
[2021-02-15 01:31:39] Game title: 'Heroine's Quest 1.2'
[2021-02-15 01:31:39] Checking for disk space
[2021-02-15 01:31:39] Game native resolution: 320 x 200 (32 bit)
[2021-02-15 01:31:39] Graphic settings: driver: D3D9, windowed: no, screen def: max, screen size: 0 x 0, match device ratio: yes, game scale: proportional
[2021-02-15 01:31:39] Requested graphics driver 'D3D9' not found, will try existing drivers instead
[2021-02-15 01:31:39] Mouse control: off, base: 1.000000, speed: 1.000000
[2021-02-15 01:31:39] WARNING: TODO: video_on_gfxmode_changed!
[2021-02-15 01:31:39] Initialize sprites
[2021-02-15 01:31:39] Engine initialization complete
[2021-02-15 01:31:39] Starting game
[2021-02-15 01:31:39] WARNING: channel 2 - same clip assigned
[2021-02-15 01:32:00] WARNING: TODO: SoundClipWaveBase::set_speed!
[2021-02-15 01:32:06] TODO: draw_sprite_v_flip!
[2021-02-15 01:32:10] --- Log closed successfully.

Attachments (1)

Untitled.png (1020.3 KB ) - added by RetroJaro 3 weeks ago.

Download all attachments as: .zip

Change History (6)

comment:1 by dreammaster, 3 weeks ago

Owner: set to dreammaster
Resolution: fixed
Status: newclosed

I implemented code, but don't know how to test it, since you didn't mention when the error occurred, and in the non-Steam version I have, nothing goes wrong in the startup

by RetroJaro, 3 weeks ago

Attachment: Untitled.png added

comment:2 by RetroJaro, 3 weeks ago

[2021-02-16 23:34:25] ScummVM 2.3.0git12731-gc86355d592 (Feb 16 2021 05:42:15)
[2021-02-16 23:34:25] TAINTED Vorbis FLAC MP3 RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 JPEG PNG cloud (servers, local) TinyGL OpenGL (with shaders) GLEW
[2021-02-16 23:34:25] --- Log opened.
[2021-02-16 23:34:26] Using game controller: XInput Controller
[2021-02-16 23:34:26] Using game controller: XInput Controller
[2021-02-16 23:34:42] Initializing allegro
[2021-02-16 23:34:42] Initializing game data
[2021-02-16 23:34:42] WARNING: TODO: SetCurrentDirectory: ./!
[2021-02-16 23:34:42] Opened game data file: game28.dta
[2021-02-16 23:34:42] Game data version: 43
[2021-02-16 23:34:42] Compiled with: 3.3.0.1162
[2021-02-16 23:34:42] Setting up game configuration
[2021-02-16 23:34:42] Data directory: ./
[2021-02-16 23:34:42] Voice pack found and initialized.
[2021-02-16 23:34:42] audio.vox found and initialized.
[2021-02-16 23:34:42] Setting up window
[2021-02-16 23:34:42] Initializing TTF renderer
[2021-02-16 23:34:42] Initializing keyboard
[2021-02-16 23:34:42] Initializing mouse: number of buttons reported is 0
[2021-02-16 23:34:42] Install timer
[2021-02-16 23:34:42] Install exit handler
[2021-02-16 23:34:42] Initialize legacy path finder library
[2021-02-16 23:34:42] Game GUI version: 116
[2021-02-16 23:34:42] Plugin 'agsteam' loaded as 'agsteam', resolving imports...
[2021-02-16 23:34:42] Game title: 'Heroine's Quest 1.2'
[2021-02-16 23:34:42] Checking for disk space
[2021-02-16 23:34:42] Game native resolution: 320 x 200 (32 bit)
[2021-02-16 23:34:42] Graphic settings: driver: D3D9, windowed: no, screen def: max, screen size: 0 x 0, match device ratio: yes, game scale: proportional
[2021-02-16 23:34:42] Requested graphics driver 'D3D9' not found, will try existing drivers instead
[2021-02-16 23:34:43] Mouse control: off, base: 1.000000, speed: 1.000000
[2021-02-16 23:34:43] WARNING: TODO: video_on_gfxmode_changed!
[2021-02-16 23:34:43] Initialize sprites
[2021-02-16 23:34:43] Engine initialization complete
[2021-02-16 23:34:43] Starting game
[2021-02-16 23:34:44] WARNING: TODO: SoundClipWaveBase::set_speed!
[2021-02-16 23:34:50] TODO: draw_sprite_v_flip!
[2021-02-16 23:34:52] --- Log closed successfully.

Steam version. Runs fine until I get to this part and I walk one screen right. Still doing it. Pic attached.

comment:3 by dreammaster, 3 weeks ago

Resolution: fixed
Status: closednew

comment:4 by RetroJaro, 3 weeks ago

Latest development build no longer crashes here.

comment:5 by dreammaster, 2 weeks ago

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.